#include "menu.h"s
#include "lcd.h"

const char Hauptmenuname[] 	PROGMEM = "Hauptmen";
const char Helligkeitname[] 	PROGMEM = "Helligkeit";
const char Kameramenuname[] 	PROGMEM = "Kameramen";
const char Kamera0menu[] 		PROGMEM = "Kamera 1";
const char Kamera1menu[] 		PROGMEM = "Kamera 2";
const char Kamera2menu[] 		PROGMEM = "Kamera 3";
const char Kamera3menu[] 		PROGMEM = "Kamera 4";
const char Kamera4menu[] 		PROGMEM = "Kamera 5";
const char Kamera5menu[] 		PROGMEM = "Kamera 6";
const char Kamera6menu[] 		PROGMEM = "Kamera 7";
const char Kamera7menu[] 		PROGMEM = "Kamera 8";
const char Kameractivemenu[] 	PROGMEM = "Aktiv?";
const char Kamerachannelmenu[]	PROGMEM = "Kanalnummer:";
const char Channelmenumenu[]  	PROGMEM = "Kanalmen";
const char Interfacemenuname[]		PROGMEM = "Schnittstelle";
const char yesmenu[] 			PROGMEM = "JA";
const char nomenu[] 			PROGMEM = "NEIN";


PGM_P array[] = {

	Hauptmenuname,
	Helligkeitname,
	Kameramenuname,
	Kamera0menu,
	Kamera1menu,
	Kamera2menu,
	Kamera3menu,
	Kamera4menu,
	Kamera5menu,
	Kamera6menu,
	Kamera7menu,
	Kameractivemenu,
	Kamerachannelmenu,
	Channelmenumenu,
	Interfacemenuname,
	yesmenu,
	nomenu

};

const menustruktur* Hauptmenu PROGMEM = {0, Interfacemenu, Kameramenu,  Helligkeit, Helligkeit, do_Hauptmenu};
	const menustruktur* Helligkeit PROGMEM = {1, Hauptmenu, Hauptmenu, 0x0, 0x0, do_Helligkeit};

const menustruktur* Kameramenu PROGMEM = {2, Hauptmenu, Interfacemenu, Kamera0, Kamera7, do_Kameramenu};
	const menustruktur* Kamera0 	PROGMEM = {3, Kamera7, Kamera1, Kameramenu, Kameractive, do_Kamera};
	const menustruktur* Kamera1 	PROGMEM = {4, Kamera0, Kamera2, Kameramenu, Kameractive, do_Kamera};
	const menustruktur* Kamera2 	PROGMEM = {5, Kamera1, Kamera3, Kameramenu, Kameractive, do_Kamera};
	const menustruktur* Kamera3 	PROGMEM = {6, Kamera2, Kamera4, Kameramenu, Kameractive, do_Kamera};
	const menustruktur* Kamera4 	PROGMEM = {7, Kamera3, Kamera5, Kameramenu, Kameractive, do_Kamera};
	const menustruktur* Kamera5 	PROGMEM = {8, Kamera4, Kamera6, Kameramenu, Kameractive, do_Kamera};
	const menustruktur* Kamera6 	PROGMEM = {9, Kamera5, Kamera7, Kameramenu, Kameractive, do_Kamera};
	const menustruktur* Kamera7 	PROGMEM = {10, Kamera6, Kamera0, Kameramenu, Kameractive, do_Kamera};

const menustruktur* Interfacemenu 	PROGMEM = {11, Kameramenu, Hauptmenu, Interface_Speed, Interface_Parity, do_Interface};
	const menustruktur* Interface_Speed PROGMEM = {12, Interfacemenu, Interfacemenu, Interface_Parity, Interface_Parity, do_Speed};
	const menustruktur* Interface_Parity PROGMEM = {13, Interfacemenu, Interfacemenu, Interface_Speed, Interface_Speed, do_Parity};


void menu (void) {

	menustruktur* my_struct;
	my_struct = (menustruktur*)pgm_read_word(Hauptmenu);
	char temp[16];
	char temp_position;
	for (int i = 1; i < 5; i++) {
		temp_position = pgm_read_byte(pgm_read_word(my_struct->position));
		strcpy_P(temp,array[(int)temp_position]);
		LCD_writeln(i, temp);
		my_struct = (menustruktur*) pgm_read_byte(pgm_read_word(my_struct->down));
	}

}

void do_Hauptmenu(void) {

}

void do_Kameramenu(void) {

}


void do_Channelmenu(void) {

}

void do_Interfacemennu(void) {

}

void do_Kamera(void) {

}

void do_Helligkeit(void) {

}


void do_Interface (void) {

}

void do_Speed(void) {

}

void do_Parity(void) {

}
