#ifndef _MENU_H
#define _MENU_H

#include <avr/pgmspace.h>


typedef struct def_menustruktur {

	char position;
	struct def_menustruktur* up;
	struct def_menustruktur* down;
	struct def_menustruktur* prev;
	struct def_menustruktur* next;
	void ( *funktion )( void );
	
} menustruktur;


void do_Hauptmenu(void);
void do_Kameramenu(void);
void do_Channelmenu(void);
void do_Interfacemennu(void);
void do_Kamera(void);
void do_Helligkeit(void);
void do_Interface(void);
void do_Speed(void);
void do_Parity(void);



const menustruktur* Hauptmenu;
const menustruktur* Helligkeit;

const menustruktur* Kameramenu;
const menustruktur* Kamera0;
const menustruktur* Kamera1;
const menustruktur* Kamera2;
const menustruktur* Kamera3;
const menustruktur* Kamera4;
const menustruktur* Kamera5;
const menustruktur* Kamera6;
const menustruktur* Kamera7;
const menustruktur* Kameractive;
const menustruktur* Kamerachannel;
const menustruktur* Channelmenu;

const menustruktur* Interfacemenu;
const menustruktur* Interface_Speed;
const menustruktur* Interface_Parity;

const menustruktur* yes;
const menustruktur* no;

void do_Hauptmenu(void);
void do_Kameramenu(void);
void do_Channelmenu(void);
void do_Interfacemennu(void);
void menu(void);



#endif